#pragma once
#include "excel9.h"
#include "Datastruct.h"
#include "CalGCSLTool.h"
#include "afxwin.h"
// CZCOutTabDlg 对话框

class CZCOutTabDlg : public CDialog
{
	DECLARE_DYNAMIC(CZCOutTabDlg)

public:
	//上下行车站名称
	ACHAR SXDirect[STR_SHORT];
	ACHAR  XXDirect[STR_SHORT];
	afx_msg void OnBnClickedOk();
	_Application ExcelApp;//应用程序
	Workbooks wbsMyBooks;
	_Workbook wbMyBook;
	Worksheets wssMysheets;
	_Worksheet wsMysheet;
	CString m_EXCEL;
	CString m_ExcelTemplate;
	CProgressCtrl	m_SingleTable;
	CWnd* MesWnd;
	StationDataBase DBS;
	CCalGCSLTool  CCalGCSLToolObject;
	BOOL m_GDB;
	void OutGDB();
	BOOL m_OPENEXCEL;
	bool WriteInExcel(Range rgMyRge, long Line, long Col, _variant_t Value);

};